Results 1 to 2 of 2

Thread: Unable to install Scrapy on Python 3.6.5

  1. #1
    Join Date
    Oct 2018
    Beans
    2

    Unable to install Scrapy on Python 3.6.5

    • pip install lxml
    • pip install parsel
    • pip install w3lib
    • pip install twisted(src/twisted/test/raiser.c:4:20: fatal error: Python.h: No such file or directory) and (Failed building wheel for twisted
      Running setup.py clean for twisted
      Failed to build twisted
      )
    • pip install cryptography
    • pip install cryptography
    • pip install pyOpenSSL

    and finally

    • pip install scrapy,


    if i tried to use below scripts it installed
    $ sudo apt-get install python-virtualenv
    $ virtualenv my-fun-env
    $ source my-fun-env/bin/activate
    (my-fun-env)$ pip install twisted

    but installed in the path of my-fun-env ( it is a virtual environment),

    how can i install scrapy directly?,

    Thanks in advance.

  2. #2
    Join Date
    Aug 2013
    Beans
    4,008

    Re: Unable to install Scrapy on Python 3.6.5

    Code:
    sudo pip3 install -U scrapy

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •